Skip to content

List Audit Events

GET
/api/superadmin/audit-log
curl --request GET \
--url 'https://example.com/api/superadmin/audit-log?limit=50&offset=0' \
--header 'Authorization: Bearer <token>'

Paginated list of admin audit events with optional filters.

action
Any of:
string

Filter by action prefix (e.g. ‘user.’ or ‘deal.’)

actor
Any of:
string

Filter by actor UUID

since
Any of:
string

ISO 8601 timestamp — only return events after this time

limit
Limit
integer
default: 50 >= 1 <= 200
offset
Offset
integer
0

Successful Response

Media type application/json
AuditLogListResponse
object
events
required
Events
Array<object>
AuditEventResponse
object
id
required
Id
string
actor_uuid
required
Actor Uuid
string
actor_name
Any of:
string
action
required
Action
string
target_type
Any of:
string
target_id
Any of:
string
target_name
Any of:
string
details
Any of:
object
key
additional properties
any
created_at
Any of:
string
total
required
Total
integer
Example generated
{
"events": [
{
"id": "example",
"actor_uuid": "example",
"actor_name": "example",
"action": "example",
"target_type": "example",
"target_id": "example",
"target_name": "example",
"details": {},
"created_at": "example"
}
],
"total": 1
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}